# renddesc.cpp File Reference

Template File. More...

`#include "renddesc.h"`
`#include <gtkmm/label.h>`
`#include <gtkmm/frame.h>`
`#include <gtkmm/alignment.h>`
`#include <gtkmm/box.h>`
`#include <ETL/misc>`
`#include <synfig/general.h>`
`#include "general.h"`

## Defines

#define | SYNFIG_MAX_PIXEL_WIDTH (~(1<<31))
#define | SYNFIG_MAX_PIXEL_HEIGHT (~(1<<31))
#define | DPM2DPI(x) ((x)/39.3700787402)
#define | DPI2DPM(x) ((x)*39.3700787402)
#define | METERS2INCHES(x) ((x)*39.3700787402)
#define | INCHES2METERS(x) ((x)/39.3700787402)
#define | DO_TOGGLE(x, y)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define SYNFIG_MAX_PIXEL_WIDTH (~(1<<31))

#define SYNFIG_MAX_PIXEL_HEIGHT (~(1<<31))

#define DPM2DPI | ( | x |  | ) | ((x)/39.3700787402)

#define DPI2DPM | ( | x |  | ) | ((x)*39.3700787402)

#define METERS2INCHES | ( | x |  | ) | ((x)*39.3700787402)

Referenced by studio::Widget_RendDesc::refresh().

#define INCHES2METERS | ( | x |  | ) | ((x)/39.3700787402)

#define DO_TOGGLE | ( | x,
|  | y |  | ) |

Value:

    if(toggle_ ## x->get_active()) \
            rend_desc_.set_flags(rend_desc_.get_flags()|RendDesc:: y); \
        else \
            rend_desc_.set_flags(rend_desc_.get_flags()&~RendDesc:: y)